textarea::placeholder,
input::placeholder {
    color: #C1C1C1 !important;
}

.response__header label {
    margin: unset !important;
}

.gap-2 {
    gap: 4px;
}

.email-writer-tool {
    border: 1px solid #e2e2e2;
    border-radius: 8px;
    padding: 1rem 1rem 0px 1rem;
    margin-bottom: 1rem;
    background-color: #F4F8F9;
}

.option_wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 16px;
}

.sample_section {
    display: flex;
    justify-content: space-between;
    margin-bottom: 24px;
}

.modes {
    display: flex;
    justify-content: flex-start;
    gap: 12px;
}

.more-options {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease, opacity 0.5s ease;
    opacity: 0;
}

.more-options-btn img {
    transition: transform 0.4s ease;
}

.more-options-btn img.rotate {
    transform: rotate(180deg);
}

.more-options.open {
    max-height: 500px;
    opacity: 1;
}

.more-options-btn,
.mode {
    padding: 6px 10px;
    background-color: transparent;
    font-weight: 400;
    font-size: 14px;
    color: black;
    border: none;
    border-radius: 6px;
}

.more-options-btn {
    font-weight: 500 !important;
    color: #333333 !important;
    font-size: 12px;
}

#exampleLoad {
    display: block;
}

.mode.active {
    background-color: white;
    box-shadow: 0px 4px 4px 0px #0000000F;
}

textarea {
    border: 1px solid #e2e2e2 !important;
    border-radius: 6px;
    padding: 8px 16px;
    resize: none !important;
}

textarea:focus {
    resize: none;
    border: 1px solid #e2e2e2 !important;
}


input {
    border-radius: 10px;
    border: 1px solid #e2e2e2;
}

.output-div {
    min-height: 100px;
    max-height: 280px;
    background-color: #fff;
    flex: 1;
    padding: 16px;
    border: 1px solid #E2E2E2;
    border-bottom: none;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    overflow: auto;
}

.custom-input {
    width: 100%;
    padding: 8px 5px;
    border-radius: 5px !important;
}

.custom-input:focus {
    outline: unset;
}

.custom-dropdown {
    position: relative;
}

.custom-select {
    border: 1px solid #e2e2e2;
    background-color: #fff;
    display: flex;
    padding: 10px;
    align-items: center;
    border-radius: 5px;
    z-index: 1;
    cursor: pointer;
}

.custom-select div:first-child {
    flex: 3;
}

.custom-select div:last-child {
    padding: 0 0 0 10px;
    border-left: 1px solid #eee;
}

.custom-select>div:last-child img {
    width: 10px;
}

.custom-options {
    max-height: 200px;
    position: absolute;
    left: 0;
    right: 0;
    top: 45px;
    background-color: #fff;
    border-radius: 8px;
    z-index: 999;
    padding: 5px;
    border: 1px solid #ccc;
    display: none;
    overflow-y: auto;
}

.custom-options div {
    padding: 5px 10px;
    cursor: pointer;
}

.custom-options div:hover {
    background: #ccc3;
    border-radius: 8px;
}

.custom-options div:last-child {
    border-bottom: unset;
}

.shadowBox {
    overflow: visible;
}

.button_section {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 8px;
    align-items: center;
    margin-bottom: 16px;
}

.loading-overlay {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    top: 0;
    height: 100%;
    /* margin-top: 22px; */
    z-index: 1111;
}

.lds-dual-ring {
    top: 0;
}

#output::-webkit-scrollbar {
    width: 13px;
    cursor: pointer;
}

#output::-webkit-scrollbar-track {
    background-color: #0000;
    cursor: pointer;
}

#output::-webkit-scrollbar-thumb {
    background-color: #00b698;
    border-radius: 30px;
    border: 4px solid transparent;
    background-clip: content-box;
    cursor: pointer;
}

.main-outputdiv {
    /* max-height: 310px; */
    flex: 1;
}

.output-footer {
    background-color: #fff;

    padding: 10px 16px;

    border-bottom-left-radius: 10px;

    border-bottom-right-radius: 10px;

    border: 1px solid #E2E2E2;

    border-top: none;

    display: flex;

    justify-content: space-between;

    align-items: center;

    min-height: 50px;

    border-top: 1px solid #e2e2e2;
}

.box-icon {
    width: 30px;
    height: 30px;
    background-color: #efeeee;
    border-radius: 3px;
    color: #3c5057;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    cursor: pointer;
    font-size: 18px;
    display: flex;
}

.wordsCount {
    font-size: 16px;
    color: #3c5057;
    gap: 5px;
    display: none;
}

.tool-box-icon {
    display: flex;
    align-items: center;
    gap: 12px;
    display: none;
}

.ad-btn-row {
    margin: 0;
}

#cloudflare_container {
    position: absolute;
    bottom: 0px;
    margin: auto;
    /* right: 5px; */
    z-index: 9999;
}

.text-sec {
    background: 0 0;
}

.example-label {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.disabled {
    color: #7F8384;
}

.col-md-12 {
    width: 100%;
}

.col-md-6 {
    padding: unset !important;
}

.response__header {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 16px;
    background: #F4F8F9;
    padding: 10px 16px;
    border: 1px solid #E2E2E2;
    border-bottom: 0;
    border-radius: 10px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

/* Response Version Buttons */
.res_versions_options {
    position: relative;
    display: flex;
    /* justify-content: center; */
    align-items: center;
    gap: 6px;
}

.res_version {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3px;
    cursor: pointer;
    color: #7f8384;
    border-radius: 6px;
    padding: 6px 10px;
    font-size: 14px;
    line-height: 20px;
    -webkit-transition: all 0.2s linear;
    -o-transition: all 0.2s linear;
    transition: all 0.2s linear;
}

.res_version:hover {
    color: #000;
}

.res_version.active {
    background: #FFFFFF;
    color: black !important;
    box-shadow: 0px 4px 4px 0px #0000000f;
}

@media (width <=768px) {
    #cloudflare_container {
        position: relative;
    }

    .col-md-6 {
        width: 100%;
        padding: 0;
    }
}

@media(width<=550px) {
    .option_wrapper {
        flex-direction: column;
        gap: unset;
    }
}

@media(width>=550px) {
    .col-md-6 {
        width: 50%;
    }
}

@media(width <=425px) {
    .sample_section {
        flex-direction: column;
        gap: 10px;
    }
}